# Form implementation generated from reading ui file 'src/eric7/UI/FindLocationWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_FindLocationWidget(object):
    def setupUi(self, FindLocationWidget):
        FindLocationWidget.setObjectName("FindLocationWidget")
        FindLocationWidget.resize(600, 800)
        self.verticalLayout = QtWidgets.QVBoxLayout(FindLocationWidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.textLabel1 = QtWidgets.QLabel(parent=FindLocationWidget)
        self.textLabel1.setWordWrap(True)
        self.textLabel1.setObjectName("textLabel1")
        self.verticalLayout.addWidget(self.textLabel1)
        self.hboxlayout = QtWidgets.QHBoxLayout()
        self.hboxlayout.setObjectName("hboxlayout")
        self.fileNameEdit = QtWidgets.QLineEdit(parent=FindLocationWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(9)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.fileNameEdit.sizePolicy().hasHeightForWidth())
        self.fileNameEdit.setSizePolicy(sizePolicy)
        self.fileNameEdit.setClearButtonEnabled(True)
        self.fileNameEdit.setObjectName("fileNameEdit")
        self.hboxlayout.addWidget(self.fileNameEdit)
        self.extsepLabel = QtWidgets.QLabel(parent=FindLocationWidget)
        self.extsepLabel.setObjectName("extsepLabel")
        self.hboxlayout.addWidget(self.extsepLabel)
        self.fileExtEdit = QtWidgets.QLineEdit(parent=FindLocationWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.fileExtEdit.sizePolicy().hasHeightForWidth())
        self.fileExtEdit.setSizePolicy(sizePolicy)
        self.fileExtEdit.setClearButtonEnabled(True)
        self.fileExtEdit.setObjectName("fileExtEdit")
        self.hboxlayout.addWidget(self.fileExtEdit)
        self.verticalLayout.addLayout(self.hboxlayout)
        self.searchDirCheckBox = QtWidgets.QCheckBox(parent=FindLocationWidget)
        self.searchDirCheckBox.setEnabled(False)
        self.searchDirCheckBox.setObjectName("searchDirCheckBox")
        self.verticalLayout.addWidget(self.searchDirCheckBox)
        self.searchDirPicker = EricPathPicker(parent=FindLocationWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.searchDirPicker.sizePolicy().hasHeightForWidth())
        self.searchDirPicker.setSizePolicy(sizePolicy)
        self.searchDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.searchDirPicker.setObjectName("searchDirPicker")
        self.verticalLayout.addWidget(self.searchDirPicker)
        self.projectCheckBox = QtWidgets.QCheckBox(parent=FindLocationWidget)
        self.projectCheckBox.setObjectName("projectCheckBox")
        self.verticalLayout.addWidget(self.projectCheckBox)
        self.syspathCheckBox = QtWidgets.QCheckBox(parent=FindLocationWidget)
        self.syspathCheckBox.setObjectName("syspathCheckBox")
        self.verticalLayout.addWidget(self.syspathCheckBox)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem)
        self.findButton = QtWidgets.QPushButton(parent=FindLocationWidget)
        self.findButton.setObjectName("findButton")
        self.horizontalLayout_3.addWidget(self.findButton)
        self.stopButton = QtWidgets.QPushButton(parent=FindLocationWidget)
        self.stopButton.setObjectName("stopButton")
        self.horizontalLayout_3.addWidget(self.stopButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.line_2 = QtWidgets.QFrame(parent=FindLocationWidget)
        self.line_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_2.setObjectName("line_2")
        self.verticalLayout.addWidget(self.line_2)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.findStatusLabel = EricSqueezeLabelPath(parent=FindLocationWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.findStatusLabel.sizePolicy().hasHeightForWidth())
        self.findStatusLabel.setSizePolicy(sizePolicy)
        self.findStatusLabel.setText("")
        self.findStatusLabel.setObjectName("findStatusLabel")
        self.horizontalLayout_2.addWidget(self.findStatusLabel)
        self.clearButton = QtWidgets.QPushButton(parent=FindLocationWidget)
        self.clearButton.setObjectName("clearButton")
        self.horizontalLayout_2.addWidget(self.clearButton)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.fileList = QtWidgets.QTreeWidget(parent=FindLocationWidget)
        self.fileList.setRootIsDecorated(False)
        self.fileList.setObjectName("fileList")
        self.verticalLayout.addWidget(self.fileList)
        self.openButton = QtWidgets.QPushButton(parent=FindLocationWidget)
        self.openButton.setObjectName("openButton")
        self.verticalLayout.addWidget(self.openButton)

        self.retranslateUi(FindLocationWidget)
        QtCore.QMetaObject.connectSlotsByName(FindLocationWidget)
        FindLocationWidget.setTabOrder(self.fileNameEdit, self.fileExtEdit)
        FindLocationWidget.setTabOrder(self.fileExtEdit, self.searchDirCheckBox)
        FindLocationWidget.setTabOrder(self.searchDirCheckBox, self.searchDirPicker)
        FindLocationWidget.setTabOrder(self.searchDirPicker, self.projectCheckBox)
        FindLocationWidget.setTabOrder(self.projectCheckBox, self.syspathCheckBox)
        FindLocationWidget.setTabOrder(self.syspathCheckBox, self.findButton)
        FindLocationWidget.setTabOrder(self.findButton, self.stopButton)
        FindLocationWidget.setTabOrder(self.stopButton, self.clearButton)
        FindLocationWidget.setTabOrder(self.clearButton, self.fileList)
        FindLocationWidget.setTabOrder(self.fileList, self.openButton)

    def retranslateUi(self, FindLocationWidget):
        _translate = QtCore.QCoreApplication.translate
        FindLocationWidget.setWindowTitle(_translate("FindLocationWidget", "Find File"))
        self.textLabel1.setText(_translate("FindLocationWidget", "Enter filename (? matches any single character, * matches everything)"))
        self.fileNameEdit.setToolTip(_translate("FindLocationWidget", "Enter file name to search for "))
        self.extsepLabel.setText(_translate("FindLocationWidget", "."))
        self.fileExtEdit.setToolTip(_translate("FindLocationWidget", "Enter file extension to search for"))
        self.searchDirCheckBox.setToolTip(_translate("FindLocationWidget", "Enabled to include the entered directory into the search"))
        self.searchDirCheckBox.setText(_translate("FindLocationWidget", "Search Path:"))
        self.searchDirPicker.setToolTip(_translate("FindLocationWidget", "Enter the directory, the file should be searched in"))
        self.projectCheckBox.setToolTip(_translate("FindLocationWidget", "Select to search in the project path"))
        self.projectCheckBox.setText(_translate("FindLocationWidget", "Search in &project"))
        self.projectCheckBox.setShortcut(_translate("FindLocationWidget", "Alt+P"))
        self.syspathCheckBox.setToolTip(_translate("FindLocationWidget", "Select to search in sys.path"))
        self.syspathCheckBox.setText(_translate("FindLocationWidget", "Search in &sys.path"))
        self.syspathCheckBox.setShortcut(_translate("FindLocationWidget", "Alt+S"))
        self.findButton.setToolTip(_translate("FindLocationWidget", "Press to start the search process"))
        self.findButton.setText(_translate("FindLocationWidget", "Search"))
        self.stopButton.setToolTip(_translate("FindLocationWidget", "Press to stop the current search process"))
        self.stopButton.setText(_translate("FindLocationWidget", "Stop"))
        self.clearButton.setToolTip(_translate("FindLocationWidget", "Press to clear the search results"))
        self.clearButton.setText(_translate("FindLocationWidget", "Clear"))
        self.fileList.setSortingEnabled(True)
        self.fileList.headerItem().setText(0, _translate("FindLocationWidget", "Filename"))
        self.fileList.headerItem().setText(1, _translate("FindLocationWidget", "Path"))
        self.openButton.setToolTip(_translate("FindLocationWidget", "Press to open the selected file"))
        self.openButton.setText(_translate("FindLocationWidget", "Open"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
from eric7.EricWidgets.EricSqueezeLabels import EricSqueezeLabelPath
